summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--10_Environment.zsh13
1 files changed, 8 insertions, 5 deletions
diff --git a/10_Environment.zsh b/10_Environment.zsh
index 79b57b2..e2b15df 100644
--- a/10_Environment.zsh
+++ b/10_Environment.zsh
@@ -18,11 +18,14 @@
## Agent de clefs SSH/GPG
KEYCHAIN=~/.keychain/$(hostname)-sh
-#[ -f ${KEYCHAIN} ] && source ${KEYCHAIN}
-#[ -f ${KEYCHAIN}-gpg ] && source ${KEYCHAIN}-gpg
-#( ps fu | grep -v grep | grep $SSH_AGENT_PID 2>&- >&- ) || ( cmd_exists keychain && keychain --quiet --stop others --inherit any ) && \
-# [ -f ${KEYCHAIN} ] && source ${KEYCHAIN} ;\
-# [ -f ${KEYCHAIN}-gpg ] && source ${KEYCHAIN}-gpg
+if cmd_exists keychain
+then
+ [ -f ${KEYCHAIN} ] && source ${KEYCHAIN}
+ [ -f ${KEYCHAIN}-gpg ] && source ${KEYCHAIN}-gpg
+ ( ps fu | grep -v grep | grep $SSH_AGENT_PID 2>&- >&- ) || ( cmd_exists keychain && keychain --quiet --stop others --inherit any ) && \
+ [ -f ${KEYCHAIN} ] && source ${KEYCHAIN} ;\
+ [ -f ${KEYCHAIN}-gpg ] && source ${KEYCHAIN}-gpg
+fi
## Colors
autoload colors && colors